Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.brm
Class ItemContext

    java.lang.Object
      com.tibco.bpm.web.client.model.types.brm.ItemContext

    public class ItemContext

extends java.lang.Object

Constructor Summary
`ItemContext()`

Method Summary
`java.lang.String` | `getActivityID()`
`java.lang.String` | `getActivityName()`
`java.lang.String` | `getAppID()`
`java.lang.String` | `getAppInstance()`
`java.lang.String` | `getAppName()`
`void` | `setActivityID(java.lang.String activityID)`
`void` | `setActivityName(java.lang.String activityName)`
`void` | `setAppID(java.lang.String appID)`
`void` | `setAppInstance(java.lang.String appInstance)`
`void` | `setAppName(java.lang.String appName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemContext

    public ItemContext()

Method Detail

### getActivityID

    public java.lang.String getActivityID()

### setActivityID

    public void setActivityID(java.lang.String activityID)

### getActivityName

    public java.lang.String getActivityName()

### setActivityName

    public void setActivityName(java.lang.String activityName)

### getAppInstance

    public java.lang.String getAppInstance()

### setAppInstance

    public void setAppInstance(java.lang.String appInstance)

### getAppName

    public java.lang.String getAppName()

### setAppName

    public void setAppName(java.lang.String appName)

### getAppID

    public java.lang.String getAppID()

### setAppID

    public void setAppID(java.lang.String appID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.